aboutsummaryrefslogtreecommitdiff
path: root/bin/deploy
diff options
context:
space:
mode:
authorJoris2020-11-01 13:42:56 +0100
committerJoris2020-11-01 13:42:56 +0100
commit87e288cd01fbd04675a562bca582f7c2e591c010 (patch)
tree5cb92d3cc6b4b084516fddf32ce30bcb25f2c335 /bin/deploy
parentadaec3d1925477e0922bf6ed88a708db4c97d766 (diff)
Improve a bit
Diffstat (limited to 'bin/deploy')
-rwxr-xr-xbin/deploy12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/deploy b/bin/deploy
new file mode 100755
index 0000000..a4e72bd
--- /dev/null
+++ b/bin/deploy
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+# Build
+git branch -D pages || true
+git checkout -b pages
+make clean build
+git add --force public/client.js
+git commit -m "Deploy pages"
+git push --force origin pages
+git checkout master
+git branch -D pages